org.apache.cassandra.io.util

## Class MmappedRegions.Tidier

- java.lang.Object
- - org.apache.cassandra.io.util.MmappedRegions.Tidier

- All Implemented Interfaces:
    RefCounted.Tidy
  Enclosing class:
    MmappedRegions

      public static final class MmappedRegions.Tidier
      extends java.lang.Object
      implements RefCounted.Tidy

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `name()`
    `void` | `tidy()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### name

          public java.lang.String name()

      Specified by:
        `name` in interface `RefCounted.Tidy`

    - #### tidy

          public void tidy()

      Specified by:
        `tidy` in interface `RefCounted.Tidy`

Copyright © 2018 The Apache Software Foundation